
QGIS Application - Bug report #20620

[geometry validation] saving edits does not work

2018-11-24 11:12 PM - Jan Lippmann

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No

Operating System: Win 7 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28440

Description

1. i turn on all checks for a multipolygon layer

2. digitise one polygon

3. try to save edits

4. saving edits does not work

there's no 3rd party plugin installed

QGIS version 3.5.0-Master

QGIS code revision 5603546c26

Compiled against Qt 5.11.2

Running against Qt 5.11.2

Compiled against GDAL/OGR 2.3.2

Running against GDAL/OGR 2.3.2

Compiled against GEOS 3.7.0-CAPI-1.11.0

Running against GEOS 3.7.0-CAPI-1.11.0 673b9939

PostgreSQL Client Version 9.2.4

SpatiaLite Version 4.3.0

QWT Version 6.1.3

QScintilla2 Version 2.10.8

Compiled against PROJ 520

Running against PROJ 5.2.0

This copy of QGIS writes debugging output.
History

#1 - 2018-11-24 11:14 PM - Jan Lippmann

can any manager correct the issue theme to: "[geometry validation] saving edits does not work" please?

thanks

#2 - 2018-11-25 04:13 PM - Jürgen Fischer

- Subject changed from [geometry validation] saving edits is does not work to [geometry validation] saving edits does not work

#3 - 2018-11-25 04:14 PM - Jürgen Fischer
- Description updated

#4 - 2018-11-26 11:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

can't confirm here on 3.4.1/linux.

Did it worked for you on 3.4.1?

have you tried with a new/clean profile?

#5 - 2018-11-27 06:25 PM - Jan Lippmann

yes, i have tried with a new/clean profile.

#6 - 2018-11-27 08:42 PM - Jan Lippmann

- File geometry_validation_save.7z added

it is also an issue with 3.4.2. i have attached the qgis demo project.

linux test is on the way...

#7 - 2018-11-28 08:00 AM - Giovanni Manghi

Jan Lippmann wrote:

it is also an issue with 3.4.2. i have attached the qgis demo project.

linux test is on the way...

it works ok on 3.4.1 on linux.

#8 - 2018-12-06 10:26 AM - Matthias Kuhn

Can you confirm with latest upcoming master / 3.4 nightly?

#9 - 2018-12-06 10:27 AM - Matthias Kuhn

Another question: does the geometry validation panel not show up?

#10 - 2018-12-06 10:34 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes
Matthias Kuhn wrote:

Can you confirm with latest upcoming master / 3.4 nightly?

Just checked on master/windows 10: does not work (it does not save edits, moreover if you discard edits and try edit/save/discard again you'll get qgis

crashing. Using Postgis layers here).

#11 - 2018-12-09 08:44 PM - Jan Lippmann

Update:

there is now no issue with actual master.

QGIS-Version 3.5.0-Master

QGIS-Codeversion bc98f8667c

Kompiliert gegen Qt 5.11.2

Laufendes Qt 5.11.2

Kompiliert mit GDAL/OGR 2.3.2

Läuft mit GDAL/OGR 2.3.2

Kompiliert mit GEOS 3.7.0-CAPI-1.11.0

Läuft mit GEOS 3.7.0-CAPI-1.11.0 673b9939

PostgreSQL-Client-Version 9.2.4

SpatiaLite-Version 4.3.0

QWT-Version 6.1.3

QScintilla2-Version 2.10.8

Kompiliert mit PROJ 520

Läuft mit PROJ 5.2.0

Diese QGIS-Kopie schreibt Debugausgaben.

but with 3.4.2 the problem is still present

#12 - 2018-12-11 12:03 AM - Jan Lippmann

Update:

there is now no issue with nightly build of 3.4.2 on win 7

QGIS-Version 3.4.2-Madeira

QGIS-Codeversion f36d466658

Kompiliert gegen Qt 5.11.2

Laufendes Qt 5.11.2

Kompiliert mit GDAL/OGR 2.3.2

Läuft mit GDAL/OGR 2.3.2

Kompiliert mit GEOS 3.7.0-CAPI-1.11.0

Läuft mit GEOS 3.7.0-CAPI-1.11.0 673b9939

PostgreSQL-Client-Version 9.2.4

SpatiaLite-Version 4.3.0

QWT-Version 6.1.3
QScintilla2-Version 2.10.8

Kompiliert mit PROJ 520

Läuft mit PROJ 5.2.0

Diese QGIS-Kopie schreibt Debugausgaben.

#13 - 2018-12-11 01:35 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Confirmed working now, but #20772

Files
geometry_validation_save.7z 22.9 KB 2018-11-27 Jan Lippmann
